// Calib.cpp : implementation file
//

#include "stdafx.h"
#include "balanzausb.h"
#include "Calib.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCalib dialog


CCalib::CCalib(CWnd* pParent /*=NULL*/)
	: CDialog(CCalib::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCalib)
	m_sCuentas = _T("");
	m_sPeso = _T("");
	//}}AFX_DATA_INIT
}


void CCalib::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCalib)
	DDX_Text(pDX, IDC_CUENTAS, m_sCuentas);
	DDX_Text(pDX, IDC_PESO, m_sPeso);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCalib, CDialog)
	//{{AFX_MSG_MAP(CCalib)
	ON_BN_CLICKED(IDC_EXIT_CAL, OnExitCal)
	ON_BN_CLICKED(IDC_PRUEBA, OnPrueba)
	ON_BN_CLICKED(IDC_CALIBRAR, OnCalibrar)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCalib message handlers

void CCalib::OnExitCal() 
{
	// TODO: Add your control notification handler code here
	KillTimer(ID_COUNT_TIMER);
	OnOK();
}

void CCalib::OnPrueba() 
{
	// TODO: Add your control notification handler code here
	SetTimer(ID_COUNT_TIMER,100,NULL);
}

void CCalib::OnCalibrar() 
{
	// TODO: Add your control notification handler code here
	unsigned char medicion;
	int status;

	

	status=MessageBox("Despeje la balanza","Calibracion de Balanza",MB_OKCANCEL | MB_ICONEXCLAMATION);
	if (status == IDOK)
	{
		cero=LeoPesoEst();
		
		status=MessageBox("Ponga el peso patron","Calibracion de Balanza",MB_OKCANCEL | MB_ICONEXCLAMATION);
		if (status == IDOK)
		{ 
			medicion=LeoPesoEst();
			coef= (float)((float)190 / ((float)medicion-(float)cero));
			MessageBox("Calibracion OK!","Calibracion de Balanza",MB_OK | MB_ICONINFORMATION);
		}
	}

	if(status == IDCANCEL)
		MessageBox("Cancelado !","Calibracion de Balanza",MB_OK | MB_ICONSTOP);
}

void CCalib::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	unsigned char medicion,peso_neto;
	float gramos;

	medicion = LeoPesoEst();
	peso_neto = medicion - cero;
	
	
	gramos = coef * (float)peso_neto;
	m_sTime.Format("%.0f",gramos);
	m_sCuentas.Format("%u",medicion);

	UpdateData(FALSE);

	CDialog::OnTimer(nIDEvent);
}
